Compute pass@k / success@T metrics
GET
/api/v1/analysis
const url = 'https://example.com/api/v1/analysis?projectId=00000000-0000-0000-0000-000000000000';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/api/v1/analysis?projectId=00000000-0000-0000-0000-000000000000'Aggregates pass@k / success@T metrics over a single project’s done runs. Requires ?projectId=.
Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” worker
string
taskPromptId
string
criteria
string
features
string
submissionId
string
k
string
projectId
required
Project scope. Required on scoped list and root-create operations; requests without a resolvable project are rejected with 400. There is no default project.
string
Project scope. Required on scoped list and root-create operations; requests without a resolvable project are rejected with 400. There is no default project.
Responses
Section titled “ Responses ”Success
Media type application/json
Analysis metrics
object
key
additional properties